> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a pay schedule calendar URL

> Creates a calendar subscription URL for the pay schedule, replacing any existing one. The previous URL stops working immediately, so calendars subscribed to it no longer update, in every language.



## OpenAPI

````yaml /spec/openapi.json post /pay_schedules/{pay_schedule}/calendar_url
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Remittance Totals
  - name: Reports
  - name: ROE SAT Agreements
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /pay_schedules/{pay_schedule}/calendar_url:
    post:
      tags:
        - Pay Schedules
      summary: Create a pay schedule calendar URL
      description: >-
        Creates a calendar subscription URL for the pay schedule, replacing any
        existing one. The previous URL stops working immediately, so calendars
        subscribed to it no longer update, in every language.
      operationId: pay-schedules-rotate-calendar-url
      parameters:
        - name: pay_schedule
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                locale:
                  type: string
                  description: >-
                    The language of the calendar's event names. When omitted,
                    the business entity's `preferred_locale` is used.
                  enum:
                    - en
                    - fr
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema: {}
              example:
                data:
                  calendar_url: >-
                    /calendars/xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.ics
components:
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````